<?=$this->partial('blocks-contentheader');?>

<div class="main-content">

<div class="form-group">
    <label class="control-label">類型1</label>
    <input type="file" class="file-loading" id="input1" name="input1" data-type="aaa" webkitdirectory multiple />
</div>

<div class="form-group">
    <label class="control-label">類型2</label>
    <input type="file" class="file-loading" id="input2" name="input2" data-type="bbb" webkitdirectory multiple />
</div>

</div>

<script>
$(function(){
    $(".file-loading").fileinput({
        uploadUrl: '<?=$this->url->get('file/upload') ?>',
        deleteUrl: '<?=$this->url->get('file/delete') ?>',
        allowedFileExtensions: ['jpg', 'gif', 'png', 'pdf'],
        theme: "fa",
        browseLabel: '選擇檔案/目錄',
        maxFileSize: 100000, //KB
        msgSizeTooLarge: '檔案"{name}" ({size} KB)超過100MB大小限制無法上傳！',
        removeLabel: '移除',
        previewFileIcon: '<i class="fa fa-file"></i>',
        previewFileIconSettings: {
            'jpg': '<i class="fa fa-file-photo-o text-warning"></i>',
            'png': '<i class="fa fa-file-photo-o text-warning"></i>',
            'gif': '<i class="fa fa-file-photo-o text-warning"></i>',
            'pdf': '<i class="fa fa-file-pdf-o text-danger"></i>',
        },
    });

    $('#input1').fileinput('refresh', {
        uploadExtraData: { type: $('#input1').data("type") },
        initialPreview : "<img src='/file/access/17-584ea5048f810-3b165-JPG' class='file-preview-image' alt='電視牆_DM6.jpg' title='電視牆_DM6.jpg' />",
        initialPreviewConfig : {
          'caption' : "電視牆_DM6.jpg",
          'url'     : '/file/delete',
          'key'     : '1',
          'extra'   : {'ID' : '1'}
        }
    });

    $('#input2').fileinput('refresh', {
        uploadExtraData: { type: $('#input2').data("type") },
    });
});
</script>
